<sqtm-core-select-field
  [formGroup]="formGroup"
  [fieldName]="selectorField.id"
  [options]="displayOptions"
>
</sqtm-core-select-field>

@for (field of selectorField.fields; track selectorField.id) {
  @if (field.id === getSelectedFieldId()) {
    <div class="m-t-10">
      @if (isFieldGroupField(field)) {
        @for (subfield of field.fields; track subfield) {
          <div [ngClass]="getSubfieldCssClasses(subfield)">
            <sqtm-app-remote-issue-widget
              #widget
              [fieldPlaceHolder]="subfield.label"
              [field]="subfield"
              [formGroup]="formGroup"
            >
            </sqtm-app-remote-issue-widget>
            @if (isCheckBoxField(subfield)) {
              <sqtm-core-label
                class="m-l-8"
                [text]="subfield.label | translate"
              >
              </sqtm-core-label>
            }
          </div>
        }
      } @else {
        <sqtm-app-remote-issue-widget
          #widget
          [fieldPlaceHolder]="field.label"
          [field]="field"
          [formGroup]="formGroup"
        >
        </sqtm-app-remote-issue-widget>
      }
    </div>
  }
}
